import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { NotificationGateway } from './notifications.gateway';
import { NotificationEntity } from './notification.entity';
import { GameEntity } from '../game/game.entity';

@Module({
  imports: [TypeOrmModule.forFeature([NotificationEntity, GameEntity])],
  providers: [NotificationGateway],
  exports: [NotificationGateway],
})
export class NotificationModule {}
