import { IsNumber, Min, Max, Allow } from 'class-validator';

export class GeoDTO {
  @IsNumber()
  @Min(-90)
  @Max(90)
  lat: number;
  @IsNumber()
  @Min(-180)
  @Max(180)
  lng: number;
  @Allow()
  time: number;
}
