import { Game_PersonEntity } from '../game/game.entity';
import { Allow, ValidateNested } from 'class-validator';
import { GeoDTO } from './geo.dto';
import { Type } from 'class-transformer';

export class TrackingDTO {
  @ValidateNested()
  @Type(() => GeoDTO)
  data: GeoDTO;
}
